# $Revision: 1.48 $, $Date: 2012/01/12 16:53:16 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	Interface
Summary:	Net::Interface - Perl extension to access network interfaces
Summary(pl.UTF-8):	Net::Interface - moduł umożliwiający dostęp do interfejsów sieciowych
Name:		perl-Net-Interface
Version:	1.012
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	cfa0c390c506996c004fb5b214fc4a7c
URL:		http://search.cpan.org/dist/Net-Interface/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::Interface is designed to make the use of ifconfig(1) and friends
unnecessary from within Perl. It provides methods to get and set all
the attributes of an interface, and even create new logical or
physical interfaces (if your O/S supports it).

%description -l pl.UTF-8
Net::Interface został zaprojektowany, aby uczynić używanie ifconfig(1)
i spółki z poziomu Perla niepotrzebnym. Dostarcza metody do
odczytywania i ustawiania wszystkich atrybutów interfejsu, a nawet
tworzenia nowych logicznych i fizycznych interfejsów (o ile system
operacyjny na to pozwala).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README*
%{perl_vendorarch}/Net/Interface.pm
%dir %{perl_vendorarch}/auto/Net/Interface
%attr(755,root,root) %{perl_vendorarch}/auto/Net/Interface/Interface.so
%dir %{perl_vendorarch}/Net/Interface
%{perl_vendorarch}/Net/Interface/Developer.pm
%{perl_vendorarch}/Net/Interface/NetSymbols.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-Interface.spec,v $
Revision 1.48  2012/01/12 16:53:16  zbyniu
- up to 1.012

Revision 1.47  2010/06/06 08:40:19  arekm
- release 2

Revision 1.46  2009/08/28 07:17:59  amateja
- updated to 1.011

Revision 1.45  2008/11/02 15:25:00  radek
- fix md5

Revision 1.44  2008/11/02 15:20:16  radek
- include README*

Revision 1.43  2008/11/02 15:19:38  radek
- version 0.11

Revision 1.42  2008/03/24 18:28:45  qboosh
- generic URL

Revision 1.41  2008-02-10 12:16:32  arekm
- rel 2

Revision 1.40  2008-01-10 08:38:40  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.39  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.38  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.37  2006/08/10 10:30:58  qboosh
- cleanup

Revision 1.36  2006/08/07 21:03:20  agaran
- up to 0.08, rel 1, builds here

Revision 1.35  2004/11/03 22:30:36  paladine
- formatting

Revision 1.34  2004/06/17 21:58:16  qboosh
- pl desc

Revision 1.33  2004/06/13 18:46:30  radek
- release 10: informative summary / description

Revision 1.32  2004/05/07 01:25:43  ankry
- rel. 9

Revision 1.31  2004/05/06 18:20:45  ankry
- fixed perl-devel BR

Revision 1.30  2004/04/27 00:33:14  ankry
- tests added, other fixes

Revision 1.29  2003/09/09 10:24:43  ankry
- spaces -> tab

Revision 1.28  2003/08/18 08:09:03  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.27  2003/05/28 13:00:53  malekith
- massive attack: source-md5

Revision 1.26  2003/05/25 06:24:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.24  2003/03/01 20:21:49  radek
- should be ready for perl-5.8.0; release++

Revision 1.23  2003/02/25 00:41:02  radek
- use the __perl macro

Revision 1.22  2003/02/18 15:37:08  ankry
- massive attack: change CPAN URLs

Revision 1.21  2002/11/26 00:14:20  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.20  2002/07/10 08:48:12  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 10:33:14  depesz
cleanup; revision++

Revision 1.17  2002/02/22 23:29:30  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:19:00  depesz
automatic: Source location unfied, Relase Up

Revision 1.15  2002/02/10 15:29:41  depesz
adapterized

Revision 1.14  2002/01/18 02:14:23  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/04/30 16:05:27  kloczek
- added using %%{rpmcflags} macro.

Revision 1.12  2001/04/18 02:10:09  baggins
- added fix for perl 5.6.x

Revision 1.11  2001/04/17 12:13:26  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/25 20:03:45  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.8  2001/01/19 05:58:35  kloczek
- do not include .packlist in %files,
- spec adapterized,
- make spec %%{debug} ready.

Revision 1.7  2001/01/13 01:06:00  dobrek
-Req:perl>=5.6 ;Realase=2;New rpm automat

Revision 1.6  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 23:57:53  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:45  pius
- initial release
